# DalamudPython

Run Python from the chat box.

## Install

- Add `https://plugins.annaclemens.io/unofficial` to your custom repos.
- Install Python REPL via `/xlplugins`.

## Usage

All scripts have access to an `interface` variable, which is the plugin's `DalamudPluginInterface`.

In addition, this preamble is appended before every script:

```py
import clr
from Dalamud import *
from Dalamud.Plugin import *
from Lumina import *
from Lumina.Excel.GeneratedSheets import *
```

All errors are logged in the Dalamud Log (`/xllog`).

### `/py`
Execute Python.

### `/pyprint`
Execute Python and print the result to chat.

### `/pyadd`
Add a line to a temporary script.

### `/pyreset`
Reset the temporary script.

### `/pyexecute`
Run the temporary script.

### `/pyload`
Load a Python file. You can provide an absolute or relative path. Relative paths are relative to the plugin's configuration folder.
